
import base_section

from runtest import conditions


class TungstenPlugin(base_section.BaseSection):

    name = "sdn"
    options = [
        'service_name',
        'endpoint_type',
        'catalog_type',
        'contrail_version',
    ]

    @property
    def service_name(self):
        return 'opencontrail'

    @property
    def endpoint_type(self):
        return 'internal'

    @property
    def catalog_type(self):
        contrail_enabled = conditions.BaseRule('*.opencontrail.control.enabled',
                                               'eq', True, multiple='any')
        if contrail_enabled.check(self.pillar):
            c = conditions.BaseRule('keystone.client.enabled', 'eq', True)
            return self.get_item_when_condition_match(
                'keystone.client.server.identity.service.opencontrail.type', c)

    @property
    def contrail_version(self):
        contrail_enabled = conditions.BaseRule('*.opencontrail.control.enabled',
                                               'eq', True, multiple='any')
        if contrail_enabled.check(self.pillar):
            c = conditions.BaseRule('opencontrail.control.enabled', 'eq', True)
            return self.get_item_when_condition_match(
                'opencontrail.control.version', c)
