{%- set Keystone_Test_Domain = 'TestDomain' %}
{%- set Keystone_Test_Project = 'TestProject' %}
{%- set Keystone_Test_User = 'TestKeystoneUser' %}
{%- set Keystone_Test_Service = 'TestKeystoneService' %}
{%- set Keystone_Test_Role = 'TestKeystoneRole' %}
{%- set Keystone_Test_Endpoint = 'TestKeystoneEndpoint' %}

keystone_domain_present:
  keystonev3.domain_present:
    - cloud_name: admin_identity
    - name: {{ Keystone_Test_Domain }}
    - description: Description
    - enabled: True
    - tags:
      - 'someTag0'
      - 'someTag1'

keystonev3_service_present:
  keystonev3.service_present:
  - name: {{ Keystone_Test_Service }}
  - type: image
  - cloud_name: admin_identity

keystonev3_endpoint_present:
  keystonev3.endpoint_present:
  - name: {{ Keystone_Test_Endpoint }}
  - url: http://example.com/identity/v3/endpoints/222222
  - interface: public
  - service_id: {{ Keystone_Test_Service }}
  - cloud_name: admin_identity

keystonev3_project_present:
  keystonev3.project_present:
  - name: {{ Keystone_Test_Project }}
  - cloud_name: admin_identity
  - domain_id: default

keystonev3_user_present:
  keystonev3.user_present:
  - name: {{ Keystone_Test_User }}
  - cloud_name: admin_identity
  - kwargs:
      options:
        ignore_change_password_upon_first_use: True
        ignore_password_expiry: True
        ignore_lockout_failure_attempts: False
        lock_password: False

keystonev3_role_present:
  keystonev3.role_present:
  - name: {{ Keystone_Test_Role }}
  - cloud_name: admin_identity

keystonev3_user_role_assigned:
  keystonev3.user_role_assigned:
  - name: {{ Keystone_Test_User }}
  - cloud_name: admin_identity
  - role_id: {{ Keystone_Test_Role }}
  - project_id: {{ Keystone_Test_Project }}

keystonev3_endpoint_absent:
  keystonev3.endpoint_absent:
  - name: {{ Keystone_Test_Endpoint }}
  - interface: public
  - service_id: {{ Keystone_Test_Service }}
  - cloud_name: admin_identity

keystonev3_user_role_unassign:
  keystonev3.user_role_unassign:
  - name: {{ Keystone_Test_User }}
  - role_id: {{ Keystone_Test_Role }}
  - cloud_name: admin_identity
  - project_id: {{ Keystone_Test_Project }}

keystonev3_role_absent:
  keystonev3.role_absent:
  - name: {{ Keystone_Test_Role }}
  - cloud_name: admin_identity

keystonev3_service_absent:
  keystonev3.service_absent:
  - name: {{ Keystone_Test_Service }}
  - cloud_name: admin_identity

keystonev3_project_absent:
  keystonev3.project_absent:
  - name: {{ Keystone_Test_Project }}
  - cloud_name: admin_identity

keystonev3_user_absent:
  keystonev3.user_absent:
  - name: {{ Keystone_Test_User }}
  - cloud_name: admin_identity

keystone_domain_absent:
  keystonev3.domain_absent:
    - cloud_name: admin_identity
    - name: {{ Keystone_Test_Domain }}
    - force_delete: True
